(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/Script/cocos2.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'cfd50rPGoZP/ZMnd/4Dv2dr', 'cocos2', __filename);
// Script/cocos2.js

'use strict';

var ShaderUtils = require("ShaderUtils");

cc.Class({
    extends: cc.Component,

    properties: {
        spGray: cc.Sprite,
        fragName: '123',
        texture: cc.SpriteFrame,
        src_texture: cc.SpriteFrame

    },

    onLoad: function onLoad() {
        this.resolution = { x: 0.0, y: 0.0 };
        this.curdis = 2;
        this.isPlayAni = false;
        this.startPos = { x: 0.5, y: 0.5 };
        this.time = 0;

        this.resolution.x = this.node.getContentSize().width;
        this.resolution.y = this.node.getContentSize().height;

        var srcTex = this.src_texture.getTexture();
        //绑定 tex1
        var resTex1 = this.texture.getTexture();
        var gltex1 = resTex1.getName();
        resTex1.setTexParameters(cc.Texture2D.WrapMode.CLAMP_TO_EDGE, cc.Texture2D.WrapMode.CLAMP_TO_EDGE);
        if (cc.sys.isNative) {} else {
            cc.gl.bindTexture2DN(1, resTex1);
        }

        this._program = ShaderUtils.setShader(this.spGray, 'gray', this.fragName);

        if (!cc.sys.isNative) {
            this._program.setUniformLocationWith1f(this._program.getUniformLocationForName("v_maxY"), 0.3);
            this._u_texture1 = this._program.getUniformLocationForName("texture_1"); //额外的shader图
            this._program.setUniformLocationWith1i(this._u_texture1, 1);
            var sec_W = this._program.getUniformLocationForName("textureW");
            this._program.setUniformLocationWith1i(sec_W, srcTex.width);
            var sec_H = this._program.getUniformLocationForName("textureH");
            this._program.setUniformLocationWith1i(sec_W, srcTex.height);
            var anotherTex_W = this._program.getUniformLocationForName("rectW");
            this._program.setUniformLocationWith1i(anotherTex_W, resTex1.width);
            var anotherTex_H = this._program.getUniformLocationForName("rectH");
            this._program.setUniformLocationWith1i(anotherTex_H, resTex1.height);
            this._program.setUniformLocationWith1f(this._program.getUniformLocationForName("k"), 1.0);

            var ba = this._program.getUniformLocationForName("time");
            var res = this._program.getUniformLocationForName("resolution");
            this._program.setUniformLocationWith1f(ba, this.time);
            this._program.setUniformLocationWith2f(res, this.resolution.x, this.resolution.y);

            this._program.setUniformLocationWith1f(this._program.getUniformLocationForName("curdis"), this.curdis);

            this._program.setUniformLocationWith1f(this._program.getUniformLocationForName("waveWidth"), 0.1);
            this._program.setUniformLocationWith1f(this._program.getUniformLocationForName("waveMaxRadius"), 1.0);
        } else {
            this.glProgram_state = cc.GLProgramState.getOrCreateWithGLProgram(this._program);
            this.glProgram_state.setUniformFloat("v_maxY", 0.05);
            this.glProgram_state.setUniformFloat("v_maxX", 0.9);
            this.glProgram_state.setUniformFloat("resolution", this.resolution);
            this.glProgram_state.setUniformTexture("texture_1", gltex1);

            this.glProgram_state.setUniformFloat("time", this.time);
            this.glProgram_state.setUniformFloat("curdis", this.curdis);
        }
    },

    start: function start() {
        this.startTime = new Date();
        this.maxScaleX = 0.85;
        this.rotationAngle = 0;
    },
    updateParameters: function updateParameters() {
        this.time = (Date.now() - this.startTime) / 1000;
        this.curdis = this.time * 0.3;
        if (this.curdis > 2) {
            this.startTime = Date.now();
            this.isPlayAni = false;
        }
    },


    update: function update(dt) {
        this.updateParameters();
        this._program.use();
        var deltaTime = (new Date() - this.startTime) / 1000;
        var sinValue = Math.sin(deltaTime * 150 * 3.14 / 180) * (1.0 - this.maxScaleX) + this.maxScaleX;
        this.rotationAngle = Math.sin(deltaTime * 75 * 3.14 / 180) * 20;
        //sinValue增加时水平轴增大
        // console.log( 'sinValue', sinValue, this.rotationAngle )
        if (!cc.sys.isNative) {
            this._program.setUniformLocationWith1f(this._program.getUniformLocationForName("k"), sinValue);
            this._program.setUniformLocationWith1f(this._program.getUniformLocationForName("rotationAngle"), 0);
            var r = Math.random() * 0.2 - 0.1;
            this._program.setUniformLocationWith1f(this._program.getUniformLocationForName("randFloat"), 0.1);

            var ct = this._program.getUniformLocationForName("time");
            this._program.setUniformLocationWith1f(ct, this.time);
            this._program.setUniformLocationWith1f(this._program.getUniformLocationForName("curdis"), this.curdis);
            this._program.setUniformLocationWith2f(this._program.getUniformLocationForName("startPos"), this.startPos.x, this.startPos.y);
        } else {
            this.glProgram_state.setUniformFloat("time", this.time);
            this.glProgram_state.setUniformFloat("curdis", this.curdis);
            this.glProgram_state.setUniformVec2("startPos", this.startPos);
        }
    }
});

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=cocos2.js.map
        